%define current_version 1.0.2

Name: libreport-plugin-virtuozzo
Version: %{current_version}
Release:        2%{?dist}
License: GPLv2
Group: Applications
Summary: Virtuozzo problem reporting script and libreport event handler
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: x86_64

Requires: coripper

%description
This package contains Virtuozzo problem reporter and libreport event handler

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/etc/libreport/events.d
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5

make install DESTDIR="${RPM_BUILD_ROOT}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%config /etc/libreport/events.d/virtuozzo_event.conf
%{_bindir}/reporter-vz
%{_mandir}/man1/reporter-vz.1*
%{_mandir}/man5/virtuozzo_event.conf.5*

%changelog
* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 1.0.2-2
- Technical rebuild, see #PSBM-47948

* Mon Nov 02 2015 Dmitry Andreev <dandreev@virtuozzo.com> 1.0.2
 - Set reporter script exit value to 0.

* Mon Oct 12 2015 Dmitry Andreev <dandreev@odin.com> 1.0.1
 Initial commit: reporting script, libreport event handler, man, makefile
